/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

#ifndef PARTY_H
#define PARTY_H

class PartyRole;

/**
 * @stereotype party
 */
class Party {
  public:
    int assessAcrossRoles();

    void getCustomElseDefaultValue();

    int listRoles();

    static void listParties();

  private
    /**
     * @supplierCardinality 0..1
     * @clientCardinality 1
     */
    PartyRole * lnkUnnamed;

    int serialNumber;
    int name;
    int address;
    int customValue;
};
#endif //PARTY_H
